#ifndef SWIFT_THREAD_THREAD_POOL_H
#define SWIFT_THREAD_THREAD_POOL_H

#include <swift/stdlib.h>

#include <swift/thread/api.h>

typedef void (* swift_run_job_fn_t)(void *user_data);

SWIFT_THREAD_API bool swift_init_thread_pool(unsigned int count);
SWIFT_THREAD_API void swift_term_thread_pool(void);
SWIFT_THREAD_API bool swift_thread_pool_wait(void);
SWIFT_THREAD_API bool swift_schedule_job(swift_run_job_fn_t run_job,
	void *user_data);

#endif /* SWIFT_THREAD_THREAD_POOL_H */
